@Echo off

rem ***************************************************************************
rem *                                                                         *
rem *  IBM (R) InstallSEPSG.cmd                                               *
rem *                                                                         *
rem *                                                                         *
rem *  Copyright 2008-2010.  All rights reserved.                             *
rem *                                                                         *
rem *  Called by:                                                             *
rem *  Calls:                                                                 * 
rem ***************************************************************************


rem ***************************************************************************
rem *  Initialize
rem ***************************************************************************
:Initialize

set RC=0
set RMSG=

:Initialize_End


rem ***************************************************************************
rem *  Display the banner.
rem ***************************************************************************
:DisplayBanner

Lecho "%%t " /F /SN
Lecho "[%0] " /F /SN /LO
Lecho "- Copying ServerGuide SEP files...\n" /F

:DisplayBanner_End


rem ***************************************************************************
rem *  Copy ServerGuide SEP Files.
rem ***************************************************************************
:CopySGSEPFiles

Set Command=xcopy "\%TK_Dir_SGDeploy%\SGTKWinPE\Data\ServerGuide\html\*" "\sguide" /S /E /I /Y

%Command% >> "%Lecho_Log%"

if errorlevel 1 (
    Set RC=%errorlevel%
    Set RMSG=%Command% returned a non-zero error code!
    goto Error_LD
)

if not exist "\%TK_Dir_SGDeploy%\SGTKWinPE\Data\UpdateXpress\Win_DriverPackages" goto CopySGSEPFiles_End

if not exist "%TK_Path_SEP_UXSP%" mkdir "%TK_Path_SEP_UXSP%"

Set Command=move /Y "\%TK_Dir_SGDeploy%\SGTKWinPE\Data\UpdateXpress\Win_DriverPackages\*" "%TK_Path_SEP_UXSP%\"

%Command% >> "%Lecho_Log%"

if errorlevel 1 (
    Set RC=%errorlevel%
    Set RMSG=%Command% returned a non-zero error code!
    goto Error_LD
)

:CopySGSEPFiles_End


rem ***************************************************************************
rem *  Success
rem ***************************************************************************
:Success

Lecho "%%t " /F /SN
Lecho "[%0] " /F /SN /LO
Lecho "- Copy ServerGuide SEP files completed successfully.\n" /F

Goto End

:Success_End


rem ***************************************************************************
rem *  Error Handler
rem ***************************************************************************
:Error

Call ErrorHandler %0

goto Error_End     
     
:Error_D

Call ErrorHandler %0 /Display

goto Error_End     

:Error_L

Call ErrorHandler %0 /Log

goto Error_End     

:Error_LD
               
Call ErrorHandler %0 /Log /Display

:Error_End


rem ***************************************************************************
rem *  End of script.
rem ***************************************************************************
:End

