@echo off

REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
REM *                                                                         *
REM * IBM (R) FibreConfigurationExitSCLICodeHandler.cmd                       *
REM *                                                                         *
REM * Converts a return code number to a message                              *
REM *                                                                         *
REM * Copyright 2008-2009.  All rights reserved.                              *
REM *                                                                         *
REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *

REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
REM *                                                                         *
REM *                   SANsurfer FC CLI Return Codes                         *
REM *                                                                         *
REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
:Main

SET ERROR_MSG="Unable to decode error code (%1).  Please look at the documentation fcscli-exitcodes.txt (32-bit) or fcscli-exitcodes_x64.txt (64-bit) provided for more information."

IF /I "%1" == "0" (

	SET ERROR_MSG="Command executed with no error"
	GOTO EndOfScript
)

IF /I "%1" == "1" (

	SET ERROR_MSG="Failed to open file"
	GOTO EndOfScript
)

IF /I "%1" == "2" (

	SET ERROR_MSG="Failed to read file"
	GOTO EndOfScript
)

IF /I "%1" == "3" (

	SET ERROR_MSG="Failed to write to a file"
	GOTO EndOfScript
)

IF /I "%1" == "4" (

	SET ERROR_MSG="Failed to close a file"
	GOTO EndOfScript
)

IF /I "%1" == "5" (

	SET ERROR_MSG="Selected file is incorrect"
	GOTO EndOfScript
)

IF /I "%1" == "6" (

	SET ERROR_MSG="File size is incorrect"
	GOTO EndOfScript
)

IF /I "%1" == "7" (

	SET ERROR_MSG="HBA is unsupported"
	GOTO EndOfScript
)

IF /I "%1" == "8" (

	SET ERROR_MSG="Unable to open the HBA handle"
	GOTO EndOfScript
)

IF /I "%1" == "9" (

	SET ERROR_MSG="HBA is unknown to the application"
	GOTO EndOfScript
)

IF /I "%1" == "10" (

	SET ERROR_MSG="HBA has invalid SSDID/SSVID"
	GOTO EndOfScript
)

IF /I "%1" == "11" (

	SET ERROR_MSG="The specified flash/NVRAM file does not have the SSDID/SSVID that match with the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "12" (

	SET ERROR_MSG="File checksum does not match"
	GOTO EndOfScript
)

IF /I "%1" == "13" (

	SET ERROR_MSG="File appears to be corrupted"
	GOTO EndOfScript
)

IF /I "%1" == "14" (

	SET ERROR_MSG="File checksum returns error"
	GOTO EndOfScript
)

IF /I "%1" == "15" (

	SET ERROR_MSG="File has invalid data"
	GOTO EndOfScript
)

IF /I "%1" == "16" (

	SET ERROR_MSG="HBA does not need to be updated"
	GOTO EndOfScript
)

IF /I "%1" == "17" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "18" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "19" (

	SET ERROR_MSG="Flash update is not supported with this HBA"
	GOTO EndOfScript
)

IF /I "%1" == "20" (

	SET ERROR_MSG="Flash update is disabled with this HBA"
	GOTO EndOfScript
)

IF /I "%1" == "21" (

	SET ERROR_MSG="Flash update is disabled with this OS"
	GOTO EndOfScript
)

IF /I "%1" == "22" (

	SET ERROR_MSG="Flash file has invalid header signature"
	GOTO EndOfScript
)

IF /I "%1" == "23" (

	SET ERROR_MSG="Flash file has invalid data signature"
	GOTO EndOfScript
)

IF /I "%1" == "24" (

	SET ERROR_MSG="Reserved, Internal used"
	GOTO EndOfScript
)

IF /I "%1" == "25" (

	SET ERROR_MSG="Flash file checksum test failed"
	GOTO EndOfScript
)

IF /I "%1" == "26" (

	SET ERROR_MSG="HBA does not have valid firmware region"
	GOTO EndOfScript
)

IF /I "%1" == "27" (

	SET ERROR_MSG="Firmware file does not match with HBA"
	GOTO EndOfScript
)

IF /I "%1" == "28" (

	SET ERROR_MSG="Reserved, Internal used"
	GOTO EndOfScript
)

IF /I "%1" == "29" (

	SET ERROR_MSG="Flash file has checksum mismatched"
	GOTO EndOfScript
)

IF /I "%1" == "30" (

	SET ERROR_MSG="Incorrect RISC image"
	GOTO EndOfScript
)

IF /I "%1" == "31" (

	SET ERROR_MSG="Incorrect BIOS/FCode boot image"
	GOTO EndOfScript
)

IF /I "%1" == "32" (

	SET ERROR_MSG="Incorrect 1M Flash image"
	GOTO EndOfScript
)

IF /I "%1" == "33" (

	SET ERROR_MSG="Flash image file is corrupted"
	GOTO EndOfScript
)

IF /I "%1" == "34" (

	SET ERROR_MSG="Failed to update flash"
	GOTO EndOfScript
)

IF /I "%1" == "35" (

	SET ERROR_MSG="Incorrect flash image file"
	GOTO EndOfScript
)

IF /I "%1" == "36" (

	SET ERROR_MSG="Failed to read flash update region from HBA"
	GOTO EndOfScript
)

IF /I "%1" == "37" (

	SET ERROR_MSG="Failed to validate flash update region read from HBA"
	GOTO EndOfScript
)

IF /I "%1" == "38" (

	SET ERROR_MSG="HBA does not have flash update region layout"
	GOTO EndOfScript
)

IF /I "%1" == "39" (

	SET ERROR_MSG="Flash contains invalid VPD"
	GOTO EndOfScript
)

IF /I "%1" == "40" (

	SET ERROR_MSG="Diagnostics test returns invalid parameters"
	GOTO EndOfScript
)

IF /I "%1" == "41" (

	SET ERROR_MSG="Unable to run diagnostics because the loop is down"
	GOTO EndOfScript
)

IF /I "%1" == "42" (

	SET ERROR_MSG="Diagnostics test failed with errors"
	GOTO EndOfScript
)

IF /I "%1" == "43" (

	SET ERROR_MSG="Diagnostics test failed with data miscompare"
	GOTO EndOfScript
)

IF /I "%1" == "44" (

	SET ERROR_MSG="Unknown diagnostics test status"
	GOTO EndOfScript
)

IF /I "%1" == "45" (

	SET ERROR_MSG="Unable to run R/W buffer test because there are no attached devices"
	GOTO EndOfScript
)

IF /I "%1" == "46" (

	SET ERROR_MSG="Unable to run R/W buffer test because the excluded device is not available"
	GOTO EndOfScript
)

IF /I "%1" == "47" (

	SET ERROR_MSG="Unable to run diagnostics because of the HBA current frame size setting"
	GOTO EndOfScript
)

IF /I "%1" == "48" (

	SET ERROR_MSG="Invalid diagnostics test parameter settings"
	GOTO EndOfScript
)

IF /I "%1" == "49" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "50" (

	SET ERROR_MSG="Error getting FC link status"
	GOTO EndOfScript
)

IF /I "%1" == "51" (

	SET ERROR_MSG="Unable to reset HBA link status"
	GOTO EndOfScript
)

IF /I "%1" == "52" (

	SET ERROR_MSG="Invalid link status/statistics parameter settings"
	GOTO EndOfScript
)

IF /I "%1" == "53" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "54" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "55" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "56" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "57" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "58" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "59" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "60" (

	SET ERROR_MSG="Invalid HBA parameter value/key"
	GOTO EndOfScript
)

IF /I "%1" == "61" (

	SET ERROR_MSG="Specified HBA parameter is not currently supported"
	GOTO EndOfScript
)

IF /I "%1" == "62" (

	SET ERROR_MSG="Unable to apply new HBA parameter(s) - Driver unsupported"
	GOTO EndOfScript
)

IF /I "%1" == "63" (

	SET ERROR_MSG="Failed to restore HBA parameters to default settings"
	GOTO EndOfScript
)

IF /I "%1" == "64" (

	SET ERROR_MSG="Unable to apply new HBA parameter(s) - OS unsupported"
	GOTO EndOfScript
)

IF /I "%1" == "65" (

	SET ERROR_MSG="Current parameter is not supported"
	GOTO EndOfScript
)

IF /I "%1" == "66" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "67" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "68" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "69" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "70" (

	SET ERROR_MSG="Failed to save HBA flash image to a file"
	GOTO EndOfScript
)

IF /I "%1" == "71" (

	SET ERROR_MSG="Failed to read HBA flash"
	GOTO EndOfScript
)

IF /I "%1" == "72" (

	SET ERROR_MSG="Command failed because no space left on the drive"
	GOTO EndOfScript
)

IF /I "%1" == "73" (

	SET ERROR_MSG="Unable to find template file"
	GOTO EndOfScript
)

IF /I "%1" == "74" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "75" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "76" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "77" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "78" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "79" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "80" (

	SET ERROR_MSG="Invalid HBA serial number"
	GOTO EndOfScript
)

IF /I "%1" == "81" (

	SET ERROR_MSG="Unable to read NVRAM from HBA"
	GOTO EndOfScript
)

IF /I "%1" == "82" (

	SET ERROR_MSG="Failed to update HBA parameters"
	GOTO EndOfScript
)

IF /I "%1" == "83" (

	SET ERROR_MSG="Failed to preserve HBA parameters"
	GOTO EndOfScript
)

IF /I "%1" == "84" (

	SET ERROR_MSG="Unable to find the NVRAM template for the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "85" (

	SET ERROR_MSG="Specified key/value to program NVRAM are invalid"
	GOTO EndOfScript
)

IF /I "%1" == "86" (

	SET ERROR_MSG="Incorrect or unsupported OEM template type for selected HBA"
	GOTO EndOfScript
)

IF /I "%1" == "87" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "88" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "89" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "90" (

	SET ERROR_MSG="Failed to read boot device settings of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "91" (

	SET ERROR_MSG="Failed to save boot device settings to the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "92" (

	SET ERROR_MSG="Boot device settings is disabled with running driver"
	GOTO EndOfScript
)

IF /I "%1" == "93" (

	SET ERROR_MSG="Boot device settings aborted because boot target has no LUN"
	GOTO EndOfScript
)

IF /I "%1" == "94" (

	SET ERROR_MSG="Boot device settings failed because the boot target is not a direct access device"
	GOTO EndOfScript
)

IF /I "%1" == "95" (

	SET ERROR_MSG="Boot device parameters is invalid/incorrect"
	GOTO EndOfScript
)

IF /I "%1" == "96" (

	SET ERROR_MSG="Unsupported boot device settings"
	GOTO EndOfScript
)

IF /I "%1" == "97" (

	SET ERROR_MSG="Specified device is already configured as a boot device"
	GOTO EndOfScript
)

IF /I "%1" == "98" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "99" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "100" (

	SET ERROR_MSG="Driver parameter settings is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "101" (

	SET ERROR_MSG="Failed to read current driver settings of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "102" (

	SET ERROR_MSG="Unknown driver parameter settings"
	GOTO EndOfScript
)

IF /I "%1" == "103" (

	SET ERROR_MSG="Unsupported driver parameter settings"
	GOTO EndOfScript
)

IF /I "%1" == "104" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "105" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "106" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "107" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "108" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "109" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "110" (

	SET ERROR_MSG="Target has duplicate ID"
	GOTO EndOfScript
)

IF /I "%1" == "111" (

	SET ERROR_MSG="Target has invalid ID"
	GOTO EndOfScript
)

IF /I "%1" == "112" (

	SET ERROR_MSG="Target has mismatch ID"
	GOTO EndOfScript
)

IF /I "%1" == "113" (

	SET ERROR_MSG="Failed to read persistent binding data from driver database"
	GOTO EndOfScript
)

IF /I "%1" == "114" (

	SET ERROR_MSG="Failed to read persistent binding data from persistent database"
	GOTO EndOfScript
)

IF /I "%1" == "115" (

	SET ERROR_MSG="Unable to allocate memory"
	GOTO EndOfScript
)

IF /I "%1" == "116" (

	SET ERROR_MSG="Unable to find the binding entry of the specified target"
	GOTO EndOfScript
)

IF /I "%1" == "117" (

	SET ERROR_MSG="Failed to delete target persistent binding"
	GOTO EndOfScript
)

IF /I "%1" == "118" (

	SET ERROR_MSG="The specified LUN ID not available"
	GOTO EndOfScript
)

IF /I "%1" == "119" (

	SET ERROR_MSG="HBA does not have attached devices"
	GOTO EndOfScript
)

IF /I "%1" == "120" (

	SET ERROR_MSG="Option is not available with running driver"
	GOTO EndOfScript
)

IF /I "%1" == "121" (

	SET ERROR_MSG="Option is not available with HBA"
	GOTO EndOfScript
)

IF /I "%1" == "122" (

	SET ERROR_MSG="Option is not available on this OS platform"
	GOTO EndOfScript
)

IF /I "%1" == "123" (

	SET ERROR_MSG="Target persistent binding is not allowed because of existing configuration saved by the SANsurfer manager"
	GOTO EndOfScript
)

IF /I "%1" == "124" (

	SET ERROR_MSG="Target persistent binding is disabled becaused of current driver"
	GOTO EndOfScript
)

IF /I "%1" == "125" (

	SET ERROR_MSG="Failed to update LUN data during persistent binding configuration"
	GOTO EndOfScript
)

IF /I "%1" == "126" (

	SET ERROR_MSG="Feature is not support with failover driver"
	GOTO EndOfScript
)

IF /I "%1" == "127" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "128" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "129" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "130" (

	SET ERROR_MSG="HBA WWPN/WWNN specified is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "131" (

	SET ERROR_MSG="HBA instance specified is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "132" (

	SET ERROR_MSG="Target WWPN/WWNN specified is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "133" (

	SET ERROR_MSG="LUN ID specified is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "134" (

	SET ERROR_MSG="Incomplete command line option"
	GOTO EndOfScript
)

IF /I "%1" == "135" (

	SET ERROR_MSG="Invalid command line option"
	GOTO EndOfScript
)

IF /I "%1" == "136" (

	SET ERROR_MSG="Specified command line option is unsupported"
	GOTO EndOfScript
)

IF /I "%1" == "137" (

	SET ERROR_MSG="Unknown command option"
	GOTO EndOfScript
)

IF /I "%1" == "138" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "139" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "140" (

	SET ERROR_MSG="Unable to determine file format"
	GOTO EndOfScript
)

IF /I "%1" == "141" (

	SET ERROR_MSG="Failed to read driver version from sys file"
	GOTO EndOfScript
)

IF /I "%1" == "142" (

	SET ERROR_MSG="Failed to init security descriptor during driver update"
	GOTO EndOfScript
)

IF /I "%1" == "143" (

	SET ERROR_MSG="Failed to set security descriptor during driver update"
	GOTO EndOfScript
)

IF /I "%1" == "144" (

	SET ERROR_MSG="Failed to update driver"
	GOTO EndOfScript
)

IF /I "%1" == "145" (

	SET ERROR_MSG="HBA hardware ID does not match with the driver config file"
	GOTO EndOfScript
)

IF /I "%1" == "146" (

	SET ERROR_MSG="Driver update is not allowed with this HBA"
	GOTO EndOfScript
)

IF /I "%1" == "147" (

	SET ERROR_MSG="Driver inf file is missing in the driver package"
	GOTO EndOfScript
)

IF /I "%1" == "148" (

	SET ERROR_MSG="Failed to create temporary directory"
	GOTO EndOfScript
)

IF /I "%1" == "149" (

	SET ERROR_MSG="Failed to open zip file"
	GOTO EndOfScript
)

IF /I "%1" == "150" (

	SET ERROR_MSG="Failed to close zip file"
	GOTO EndOfScript
)

IF /I "%1" == "151" (

	SET ERROR_MSG="Failed to read zip file"
	GOTO EndOfScript
)

IF /I "%1" == "152" (

	SET ERROR_MSG="Failed to extract zip file"
	GOTO EndOfScript
)

IF /I "%1" == "153" (

	SET ERROR_MSG="The zip file appears to be corrupted"
	GOTO EndOfScript
)

IF /I "%1" == "154" (

	SET ERROR_MSG="Failed to create zip file"
	GOTO EndOfScript
)

IF /I "%1" == "155" (

	SET ERROR_MSG="Driver sys file is missing in the driver package"
	GOTO EndOfScript
)

IF /I "%1" == "156" (

	SET ERROR_MSG="Driver folder is empty"
	GOTO EndOfScript
)

IF /I "%1" == "157" (

	SET ERROR_MSG="Failed to get a registry key"
	GOTO EndOfScript
)

IF /I "%1" == "158" (

	SET ERROR_MSG="Failed to set a registry key"
	GOTO EndOfScript
)

IF /I "%1" == "159" (

	SET ERROR_MSG="Operation failed with Stor miniport driver"
	GOTO EndOfScript
)

IF /I "%1" == "160" (

	SET ERROR_MSG="HBA has invalid VPD data"
	GOTO EndOfScript
)

IF /I "%1" == "161" (

	SET ERROR_MSG="The current VPD of the HBA is corrupted"
	GOTO EndOfScript
)

IF /I "%1" == "162" (

	SET ERROR_MSG="VPD data has invalid checksum"
	GOTO EndOfScript
)

IF /I "%1" == "163" (

	SET ERROR_MSG="Serial number is missing in VPD data"
	GOTO EndOfScript
)

IF /I "%1" == "164" (

	SET ERROR_MSG="Failed to read VPD of selected HBA"
	GOTO EndOfScript
)

IF /I "%1" == "165" (

	SET ERROR_MSG="Option is not supported with selected HBA"
	GOTO EndOfScript
)

IF /I "%1" == "166" (

	SET ERROR_MSG="Reserved, Internal used"
	GOTO EndOfScript
)

IF /I "%1" == "167" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "168" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "169" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "170" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "171" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "172" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "173" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "174" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "175" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "176" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "177" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "178" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "179" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "180" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "181" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "182" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "183" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "184" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "185" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "186" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "187" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "188" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "189" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "190" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "191" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "192" (

	SET ERROR_MSG="IBM Reserved, Blocked"
	GOTO EndOfScript
)

IF /I "%1" == "193" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "194" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "195" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "196" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "197" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "198" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "199" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "200" (

	SET ERROR_MSG="Failed to save selective LUN configuration"
	GOTO EndOfScript
)

IF /I "%1" == "201" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "202" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "203" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "204" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "205" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "206" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "207" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "208" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "209" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "210" (

	SET ERROR_MSG="IP address is required"
	GOTO EndOfScript
)

IF /I "%1" == "211" (

	SET ERROR_MSG="Netmask address is required"
	GOTO EndOfScript
)

IF /I "%1" == "212" (

	SET ERROR_MSG="Gateway address is required"
	GOTO EndOfScript
)

IF /I "%1" == "213" (

	SET ERROR_MSG="Invalid IP address"
	GOTO EndOfScript
)

IF /I "%1" == "214" (

	SET ERROR_MSG="Invalid netmask address"
	GOTO EndOfScript
)

IF /I "%1" == "215" (

	SET ERROR_MSG="Failed to get switch information"
	GOTO EndOfScript
)

IF /I "%1" == "216" (

	SET ERROR_MSG="Failed to set switch IP address"
	GOTO EndOfScript
)

IF /I "%1" == "217" (

	SET ERROR_MSG="Invalid swich parameters settings"
	GOTO EndOfScript
)

IF /I "%1" == "218" (

	SET ERROR_MSG="Admin account is required"
	GOTO EndOfScript
)

IF /I "%1" == "219" (

	SET ERROR_MSG="Admin password is incorrect"
	GOTO EndOfScript
)

IF /I "%1" == "220" (

	SET ERROR_MSG="Switch input is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "221" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "222" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "223" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "224" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "225" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "226" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "227" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "228" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "229" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "230" (

	SET ERROR_MSG="Failed to query current intelligence interleave factor setting"
	GOTO EndOfScript
)

IF /I "%1" == "231" (

	SET ERROR_MSG="Failed to set intelligence interleave factor"
	GOTO EndOfScript
)

IF /I "%1" == "232" (

	SET ERROR_MSG="Intelligence interleave factor setting is not supported with selected HBA"
	GOTO EndOfScript
)

IF /I "%1" == "233" (

	SET ERROR_MSG="Invalid intelligence interleave factor setting for selected HBA"
	GOTO EndOfScript
)

IF /I "%1" == "234" (

	SET ERROR_MSG="Unable to find specified target(s) to set the intelligence interleave factor"
	GOTO EndOfScript
)

IF /I "%1" == "235" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "236" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "237" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "238" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "239" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "240" (

	SET ERROR_MSG="Unable to run target beacon because no device is selected"
	GOTO EndOfScript
)

IF /I "%1" == "241" (

	SET ERROR_MSG="Unable to get the beacon status"
	GOTO EndOfScript
)

IF /I "%1" == "242" (

	SET ERROR_MSG="Unable to set the beacon status"
	GOTO EndOfScript
)

IF /I "%1" == "243" (

	SET ERROR_MSG="Beacon operation is unsupported"
	GOTO EndOfScript
)

IF /I "%1" == "244" (

	SET ERROR_MSG="Beacon settings is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "245" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "246" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "247" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "248" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "249" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "250" (

	SET ERROR_MSG="Failed to retrieve HBA alias of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "251" (

	SET ERROR_MSG="Failed to update HBA alias of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "252" (

	SET ERROR_MSG="Failed to retried port alias of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "253" (

	SET ERROR_MSG="Failed to update port alias of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "254" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "255" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "256" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "257" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "258" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "259" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "260" (

	SET ERROR_MSG="Driver rescan operation failed (Solaris)"
	GOTO EndOfScript
)

IF /I "%1" == "261" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "262" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "263" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "264" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "265" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "266" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "267" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "268" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "269" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "270" (

	SET ERROR_MSG="Adapter property file is missing"
	GOTO EndOfScript
)

IF /I "%1" == "271" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "272" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "273" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "274" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "275" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "276" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "277" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "278" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "279" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "280" (

	SET ERROR_MSG="Failed to create a virtual port of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "281" (

	SET ERROR_MSG="Failed to delete a virtual port of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "282" (

	SET ERROR_MSG="Virtual port WWPN is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "283" (

	SET ERROR_MSG="Unable to find the specific virtual port"
	GOTO EndOfScript
)

IF /I "%1" == "284" (

	SET ERROR_MSG="This HBA does not have any virtual ports"
	GOTO EndOfScript
)

IF /I "%1" == "285" (

	SET ERROR_MSG="Failed to delete all virtual ports of the HBA"
	GOTO EndOfScript
)

IF /I "%1" == "286" (

	SET ERROR_MSG="Option is not available with virtual port HBA"
	GOTO EndOfScript
)

IF /I "%1" == "287" (

	SET ERROR_MSG="The supplied hexadecimal value is currently preserved for physical HBA"
	GOTO EndOfScript
)

IF /I "%1" == "288" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "289" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "290" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "291" (

	SET ERROR_MSG="The vPort is currently locked"
	GOTO EndOfScript
)

IF /I "%1" == "292" (

	SET ERROR_MSG="The vPort does not belong to the physical port"
	GOTO EndOfScript
)

IF /I "%1" == "292" (

	SET ERROR_MSG="Found duplicate vPort WWPN"
	GOTO EndOfScript
)

IF /I "%1" == "293" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "294" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "295" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "296" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "297" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "298" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "299" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "300" (

	SET ERROR_MSG="Failed to reset FCoE engine"
	GOTO EndOfScript
)

IF /I "%1" == "301" (

	SET ERROR_MSG="Failed to retrieve FCoE firmware version"
	GOTO EndOfScript
)

IF /I "%1" == "302" (

	SET ERROR_MSG="Failed to update FCoE firmware"
	GOTO EndOfScript
)

IF /I "%1" == "303" (

	SET ERROR_MSG="Failed to execute FCoE operation commands"
	GOTO EndOfScript
)

IF /I "%1" == "304" (

	SET ERROR_MSG="Failed to retrieve FCoE parameters"
	GOTO EndOfScript
)

IF /I "%1" == "305" (

	SET ERROR_MSG="Failed to update FCoE parameters"
	GOTO EndOfScript
)

IF /I "%1" == "306" (

	SET ERROR_MSG="Selected adapter is not a FCoE HBA"
	GOTO EndOfScript
)

IF /I "%1" == "307" (

	SET ERROR_MSG="Invalid FCoE firmware segment size"
	GOTO EndOfScript
)

IF /I "%1" == "308" (

	SET ERROR_MSG="Unable to find the selected FCoE port"
	GOTO EndOfScript
)

IF /I "%1" == "309" (

	SET ERROR_MSG="Unsupported FCoE HBA"
	GOTO EndOfScript
)

IF /I "%1" == "310" (

	SET ERROR_MSG="Failed to query FCoE ASIC port statistics"
	GOTO EndOfScript
)

IF /I "%1" == "311" (

	SET ERROR_MSG="Failed to query FCoE CPU statistics"
	GOTO EndOfScript
)

IF /I "%1" == "312" (

	SET ERROR_MSG="Failed to query FCoE Ethernet Port/LIF statistics"
	GOTO EndOfScript
)

IF /I "%1" == "313" (

	SET ERROR_MSG="Failed to query FCoE FC Port/LIF statistics"
	GOTO EndOfScript
)

IF /I "%1" == "314" (

	SET ERROR_MSG="Failed to query FCoE NSL Port statistisc"
	GOTO EndOfScript
)

IF /I "%1" == "315" (

	SET ERROR_MSG="FCoE log data seems to be corrupted"
	GOTO EndOfScript
)

IF /I "%1" == "316" (

	SET ERROR_MSG="Unable to find the specified log that matched with the log id"
	GOTO EndOfScript
)

IF /I "%1" == "317" (

	SET ERROR_MSG="FCoE diagnostics read memory failed"
	GOTO EndOfScript
)

IF /I "%1" == "318" (

	SET ERROR_MSG="FCoE diagnostics write memory failed"
	GOTO EndOfScript
)

IF /I "%1" == "319" (

	SET ERROR_MSG="Failed to query FCoE log layout"
	GOTO EndOfScript
)

IF /I "%1" == "320" (

	SET ERROR_MSG="Failed to retrieve FCoE log data"
	GOTO EndOfScript
)

IF /I "%1" == "321" (

	SET ERROR_MSG="Invalid offset input"
	GOTO EndOfScript
)

IF /I "%1" == "322" (

	SET ERROR_MSG="Invalid bytes input"
	GOTO EndOfScript
)

IF /I "%1" == "323" (

	SET ERROR_MSG="Invalid FCoE memory buffer address"
	GOTO EndOfScript
)

IF /I "%1" == "324" (

	SET ERROR_MSG="Invalid FCoE memory buffer size"
	GOTO EndOfScript
)

IF /I "%1" == "325" (

	SET ERROR_MSG="Invalid FCoE inputs"
	GOTO EndOfScript
)

IF /I "%1" == "326" (

	SET ERROR_MSG="Failed to retrieve FCoE panic log"
	GOTO EndOfScript
)

IF /I "%1" == "327" (

	SET ERROR_MSG="FCoE panic log not found"
	GOTO EndOfScript
)

IF /I "%1" == "328" (

	SET ERROR_MSG="FCoE parameter settings is invalid"
	GOTO EndOfScript
)

IF /I "%1" == "329" (

	SET ERROR_MSG="FCoE parameter settings is unsupported"
	GOTO EndOfScript
)

IF /I "%1" == "330" (

	SET ERROR_MSG="Flash version config file is missing"
	GOTO EndOfScript
)

IF /I "%1" == "331" (

	SET ERROR_MSG="HBA boot code does not need to be upgrade"
	GOTO EndOfScript
)

IF /I "%1" == "332" (

	SET ERROR_MSG="Flash update failed with all HBAs"
	GOTO EndOfScript
)

IF /I "%1" == "333" (

	SET ERROR_MSG="flash update completed with errors (Some HBA failed to be upgraded)"
	GOTO EndOfScript
)

IF /I "%1" == "334" (

	SET ERROR_MSG="HBA entry is missing in the flash version config file"
	GOTO EndOfScript
)

IF /I "%1" == "335" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "336" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "337" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "338" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "339" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "340" (

	SET ERROR_MSG="Unable to query udev persistent device name"
	GOTO EndOfScript
)

IF /I "%1" == "341" (

	SET ERROR_MSG="Error displaying udev persistent device name of the specified LUN"
	GOTO EndOfScript
)

IF /I "%1" == "342" (

	SET ERROR_MSG="Error setting udev persistent device name to the specified LUN"
	GOTO EndOfScript
)

IF /I "%1" == "343" (

	SET ERROR_MSG="Error deleting udev persistent device name of the specified LUN"
	GOTO EndOfScript
)

IF /I "%1" == "344" (

	SET ERROR_MSG="Invalid udev persistent device name"
	GOTO EndOfScript
)

IF /I "%1" == "345" (

	SET ERROR_MSG="Udev persistent device name feature is not support with current OS/kernel"
	GOTO EndOfScript
)

IF /I "%1" == "346" (

	SET ERROR_MSG="Selected device is not supported with udev persistent device name feature"
	GOTO EndOfScript
)

IF /I "%1" == "347" (

	SET ERROR_MSG="Specified device is not currently configured with Udev persistent device name"
	GOTO EndOfScript
)

IF /I "%1" == "348" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "349" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "350" (

	SET ERROR_MSG="Unable to update firmware preload table on the specified HBA"
	GOTO EndOfScript
)

IF /I "%1" == "351" (

	SET ERROR_MSG="Unable to save HBA current firmware preload table to a DAT file"
	GOTO EndOfScript
)

IF /I "%1" == "352" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "353" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "354" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "355" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "356" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "357" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "358" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "359" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "360" (

	SET ERROR_MSG="Unable to update firmware serdes table on the specified HBA"
	GOTO EndOfScript
)

IF /I "%1" == "361" (

	SET ERROR_MSG="Unable to save current HBA firmware serdes table to a DAT file"
	GOTO EndOfScript
)

IF /I "%1" == "362" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "363" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "364" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "365" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "366" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "367" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "368" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "369" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "370" (

	SET ERROR_MSG="Failed to enable/disable QoS enable setting state"
	GOTO EndOfScript
)

IF /I "%1" == "371" (

	SET ERROR_MSG="Failed to modify QoS lock setting state"
	GOTO EndOfScript
)

IF /I "%1" == "372" (

	SET ERROR_MSG="Failed to modify QoS enable setting state. Selected port is a physical port"
	GOTO EndOfScript
)

IF /I "%1" == "373" (

	SET ERROR_MSG="Failed to lock/unlock QoS lock setting state. Selected port is a physical port"
	GOTO EndOfScript
)

IF /I "%1" == "374" (

	SET ERROR_MSG="Unsupported QoS type"
	GOTO EndOfScript
)

IF /I "%1" == "375" (

	SET ERROR_MSG="Invalid input for QoS priority setting"
	GOTO EndOfScript
)

IF /I "%1" == "376" (

	SET ERROR_MSG="Invalid input for QoS bandwidth percentage setting"
	GOTO EndOfScript
)

IF /I "%1" == "377" (

	SET ERROR_MSG="Invalid input for QoS bandwidth speed setting"
	GOTO EndOfScript
)

IF /I "%1" == "378" (

	SET ERROR_MSG="Failed to apply changes on selected port (QoS bandwidth overflow)"
	GOTO EndOfScript
)

IF /I "%1" == "379" (

	SET ERROR_MSG="Failed to apply changes on selected port (QoS settings is currently disabled)"
	GOTO EndOfScript
)

IF /I "%1" == "380" (

	SET ERROR_MSG="Failed to apply changes on selected port (QoS settings is currently locked)"
	GOTO EndOfScript
)

IF /I "%1" == "381" (

	SET ERROR_MSG="Failed to update QoS settings"
	GOTO EndOfScript
)

IF /I "%1" == "430" (

	SET ERROR_MSG="File has invalid record"
	GOTO EndOfScript
)

IF /I "%1" == "431" (

	SET ERROR_MSG="Invalid record size"
	GOTO EndOfScript
)

IF /I "%1" == "432" (

	SET ERROR_MSG="File has invalid checksum"
	GOTO EndOfScript
)

IF /I "%1" == "433" (

	SET ERROR_MSG="Failed to update EDC firmware"
	GOTO EndOfScript
)

IF /I "%1" == "434" (

	SET ERROR_MSG="Selected option is unsupported"
	GOTO EndOfScript
)

IF /I "%1" == "435" (

	SET ERROR_MSG="Status error count is nonzero"
	GOTO EndOfScript
)

IF /I "%1" == "436" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "437" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "438" (

	SET ERROR_MSG="Incorrect Vitesse EDC firmware file"
	GOTO EndOfScript
)

IF /I "%1" == "439" (

	SET ERROR_MSG="Failed to read EDC firmware version"
	GOTO EndOfScript
)

IF /I "%1" == "440" (

	SET ERROR_MSG="Failed to read EDC firmware status"
	GOTO EndOfScript
)

IF /I "%1" == "441" (

	SET ERROR_MSG="Selected option is unsupported with current libqlsdm version"
	GOTO EndOfScript
)

IF /I "%1" == "442" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "443" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "444" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "445" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "446" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "447" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "448" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "449" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "450" (

	SET ERROR_MSG="ILT signature does not match"
	GOTO EndOfScript
)

IF /I "%1" == "451" (

	SET ERROR_MSG="Unable to find an adapter that matches with the flash image"

	GOTO EndOfScript
)

IF /I "%1" == "452" (

	SET ERROR_MSG="Failed to verify flash image"
	GOTO EndOfScript
)

IF /I "%1" == "453" (

	SET ERROR_MSG="Failed to modify flash image"
	GOTO EndOfScript
)

IF /I "%1" == "454" (

	SET ERROR_MSG="Failed to read flash layout tables"
	GOTO EndOfScript
)

IF /I "%1" == "455" (

	SET ERROR_MSG="Failed to update NIC boot code"
	GOTO EndOfScript
)

IF /I "%1" == "456" (

	SET ERROR_MSG="Failed to update MPI firmware"
	GOTO EndOfScript
)

IF /I "%1" == "457" (

	SET ERROR_MSG="Failed to update EDC firmware"
	GOTO EndOfScript
)

IF /I "%1" == "458" (

	SET ERROR_MSG="Failed to update FC boot code"
	GOTO EndOfScript
)

IF /I "%1" == "459" (

	SET ERROR_MSG="Failed to update FC firmware"
	GOTO EndOfScript
)

IF /I "%1" == "460" (

	SET ERROR_MSG="Failed to update MPI configuration"
	GOTO EndOfScript
)

IF /I "%1" == "461" (

	SET ERROR_MSG="Failed to save MPI configuration"
	GOTO EndOfScript
)

IF /I "%1" == "462" (

	SET ERROR_MSG="Failed to get MPI configuration version from adapter"
	GOTO EndOfScript
)

IF /I "%1" == "463" (

	SET ERROR_MSG="Failed to get MPI configuration version from file"
	GOTO EndOfScript
)

IF /I "%1" == "464" (

	SET ERROR_MSG="Failed to validate DCBX parameter inputs"
	GOTO EndOfScript
)

IF /I "%1" == "465" (

	SET ERROR_MSG="Failed to save DCBX parameter inputs"
	GOTO EndOfScript
)

IF /I "%1" == "466" (

	SET ERROR_MSG="Failed to get DCE statistics"
	GOTO EndOfScript
)

IF /I "%1" == "467" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "468" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "469" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "470" (

	SET ERROR_MSG="Failed to get DCE statistics"
	GOTO EndOfScript
)

IF /I "%1" == "471" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "472" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "473" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "474" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "475" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "476" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "477" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "478" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "479" (

	SET ERROR_MSG="Reserved, Not used"
	GOTO EndOfScript
)

IF /I "%1" == "480" (

	SET ERROR_MSG="Failed to get DCBX TLV"
	GOTO EndOfScript
)

:EndOfScript