@echo off

REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
REM *                                                                         *
REM *             IBM (R) PerformEmulexFibreConfiguration.cmd                 *
REM *                                                                         *
REM *  Description: Perform Emulex Fibre Configuration                        *
REM *                                                                         *
REM * Dependencies:                                                           *
REM *     - PerformFibreConfiguration.cmd                                     *
REM *     - winlpcfg.exe + package                                            *
REM *     - CheckFibrePrerequisites.cmd                                       *
REM *                                                                         *
REM *             Copyright 2009.  All rights reserved.                       *
REM *                                                                         *
REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *

REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
REM *                             Initialize                                  *
REM * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ *
:Main

SET RC=0

REM /*--- Let's set the execution type. ---*/
SET DO=%1

REM /*--- If utility is not found within the Sep, these variables must be empty. ---*/
IF /I "%TK_WINLPCFG_DIR_PATH%" == "" IF /I "%TK_WINLPCFG_UTILITY%" == "" (

	REM /*--- Use the default path to the bin directory supplied by the Toolkit. ---*/
	Set TK_WINLPCFG_DIR_PATH=%TK_Path_Bin%
	Set TK_WINLPCFG_UTILITY=winlpcfg.exe
)

Lecho "\n%%t [ %0 ] - Using Emulex utility '%TK_WINLPCFG_UTILITY%' found inside directory '%TK_WINLPCFG_DIR_PATH%'\n" /F

pushd "%TK_WINLPCFG_DIR_PATH%"

IF /I "%DO%" == "prim-default-config" (

	REM /*--- Set return code. ---*/
	SET RC=200
)

IF /I "%DO%" == "prim-config" (

	SET ENABLE_BOOT_PRIM_DEVICE_TARGET_WWPN_TEMP=%ENABLE_BOOT_PRIM_DEVICE_TARGET_WWPN%

	REM /*--- If there are any dashes, remove them. ---*/
	IF /I "%ENABLE_BOOT_PRIM_DEVICE_TARGET_WWPN:~2,1%" == "-" (

		FOR /F "tokens=2,3,4,5,6,7,8,9 delims=-=" %%A IN ('SET ENABLE_BOOT_PRIM_DEVICE_TARGET_WWPN') DO (

			SET ENABLE_BOOT_PRIM_DEVICE_TARGET_WWPN_TEMP=%%A%%B%%C%%D%%E%%F%%G%%H
		)
	)

	SET W0=!ENABLE_BOOT_PRIM_DEVICE_TARGET_WWPN_TEMP:~0,8!
	SET W1=!ENABLE_BOOT_PRIM_DEVICE_TARGET_WWPN_TEMP:~8,8!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Enabling the BootBIOS for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1

	!Command!
	
	REM /*--- Before we do anything for this HBA, let's display the information about LUNs attached to this HBA. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Displaying Information for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% readbootdevice n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readbootdevice n=%EMULEX_HBA_ADAPTERN%

	!Command!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Configuring 'Prim' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setbootdevice n=%EMULEX_HBA_ADAPTERN% w0=!W0! w1=!W1! l=%ENABLE_BOOT_PRIM_DEVICE_TARGET_LUNID% t=0\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setbootdevice n=%EMULEX_HBA_ADAPTERN% w0=!W0! w1=!W1! l=%ENABLE_BOOT_PRIM_DEVICE_TARGET_LUNID% t=0

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readbootdevice n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

IF /I "%DO%" == "alt1-default-config" (

	REM /*--- Set return code. ---*/
	SET RC=200
)

IF /I "%DO%" == "alt1-config" (

	SET ENABLE_BOOT_ALT1_DEVICE_TARGET_WWPN_TEMP=%ENABLE_BOOT_ALT1_DEVICE_TARGET_WWPN%

	REM /*--- If there are any dashes, remove them. ---*/
	IF /I "%ENABLE_BOOT_ALT1_DEVICE_TARGET_WWPN:~2,1%" == "-" (

		FOR /F "tokens=2,3,4,5,6,7,8,9 delims=-=" %%A IN ('SET ENABLE_BOOT_ALT1_DEVICE_TARGET_WWPN') DO (

			SET ENABLE_BOOT_ALT1_DEVICE_TARGET_WWPN_TEMP=%%A%%B%%C%%D%%E%%F%%G%%H
		)
	)

	SET W0=!ENABLE_BOOT_ALT1_DEVICE_TARGET_WWPN_TEMP:~0,8!
	SET W1=!ENABLE_BOOT_ALT1_DEVICE_TARGET_WWPN_TEMP:~8,8!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Enabling the BootBIOS for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1

	!Command!

	REM /*--- Before we do anything for this HBA, let's display the information about LUNs attached to this HBA. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Displaying Information for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Configuring 'Alt1' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=1 w0=!W0! w1=!W1! l=%ENABLE_BOOT_ALT1_DEVICE_TARGET_LUNID%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=1 w0=!W0! w1=!W1! l=%ENABLE_BOOT_ALT1_DEVICE_TARGET_LUNID%

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Before we do anything for this HBA, let's display the information about LUNs attached to this HBA. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Displaying Information for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

IF /I "%DO%" == "alt2-default-config" (

	REM /*--- Set return code. ---*/
	SET RC=200
)

IF /I "%DO%" == "alt2-config" (

	SET ENABLE_BOOT_ALT2_DEVICE_TARGET_WWPN_TEMP=%ENABLE_BOOT_ALT2_DEVICE_TARGET_WWPN%

	REM /*--- If there are any dashes, remove them. ---*/
	IF /I "%ENABLE_BOOT_ALT2_DEVICE_TARGET_WWPN:~2,1%" == "-" (

		FOR /F "tokens=2,3,4,5,6,7,8,9 delims=-=" %%A IN ('SET ENABLE_BOOT_ALT2_DEVICE_TARGET_WWPN') DO (

			SET ENABLE_BOOT_ALT2_DEVICE_TARGET_WWPN_TEMP=%%A%%B%%C%%D%%E%%F%%G%%H
		)
	)

	SET W0=!ENABLE_BOOT_ALT2_DEVICE_TARGET_WWPN_TEMP:~0,8!
	SET W1=!ENABLE_BOOT_ALT2_DEVICE_TARGET_WWPN_TEMP:~8,8!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Enabling the BootBIOS for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1

	!Command!

	REM /*--- Before we do anything for this HBA, let's display the information about LUNs attached to this HBA. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Displaying Information for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Configuring 'Alt2' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=2 w0=!W0! w1=!W1! l=%ENABLE_BOOT_ALT2_DEVICE_TARGET_LUNID%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=2 w0=!W0! w1=!W1! l=%ENABLE_BOOT_ALT2_DEVICE_TARGET_LUNID%

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Before we do anything for this HBA, let's display the information about LUNs attached to this HBA. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Displaying Information for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

IF /I "%DO%" == "alt3-default-config" (

	REM /*--- Set return code. ---*/
	SET RC=200
)

IF /I "%DO%" == "alt3-config" (

	SET ENABLE_BOOT_ALT3_DEVICE_TARGET_WWPN_TEMP=%ENABLE_BOOT_ALT3_DEVICE_TARGET_WWPN%

	REM /*--- If there are any dashes, remove them. ---*/
	IF /I "%ENABLE_BOOT_ALT3_DEVICE_TARGET_WWPN:~2,1%" == "-" (

		FOR /F "tokens=2,3,4,5,6,7,8,9 delims=-=" %%A IN ('SET ENABLE_BOOT_ALT3_DEVICE_TARGET_WWPN') DO (

			SET ENABLE_BOOT_ALT3_DEVICE_TARGET_WWPN_TEMP=%%A%%B%%C%%D%%E%%F%%G%%H
		)
	)

	SET W0=!ENABLE_BOOT_ALT3_DEVICE_TARGET_WWPN_TEMP:~0,8!
	SET W1=!ENABLE_BOOT_ALT3_DEVICE_TARGET_WWPN_TEMP:~8,8!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Enabling the BootBIOS for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% enableboot n=%EMULEX_HBA_ADAPTERN% i=1

	!Command!

	REM /*--- Before we do anything for this HBA, let's display the information about LUNs attached to this HBA. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Displaying Information for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Configuring 'Alt3' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=3 w0=!W0! w1=!W1! l=%ENABLE_BOOT_ALT3_DEVICE_TARGET_LUNID%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=3 w0=!W0! w1=!W1! l=%ENABLE_BOOT_ALT3_DEVICE_TARGET_LUNID%

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Before we do anything for this HBA, let's display the information about LUNs attached to this HBA. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Displaying Information for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

IF /I "%DO%" == "prim-disable" (

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Disabling the selected 'Prim' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setbootdevice n=%EMULEX_HBA_ADAPTERN% w0=00000000 w1=00000000 l=0 t=0\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setbootdevice n=%EMULEX_HBA_ADAPTERN% w0=00000000 w1=00000000 l=0 t=0

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Disabling the BootBIOS for the specified adapter %EMULEX_HBA_ADAPTERN% number.  Executing -> %TK_WINLPCFG_UTILITY% disableboot n=%EMULEX_HBA_ADAPTERN%\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% disableboot n=%EMULEX_HBA_ADAPTERN%

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readbootdevice n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

IF /I "%DO%" == "alt1-disable" (

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Disabling the selected 'Alt1' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=1 w0=00000000 w1=00000000 l=0\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=1 w0=00000000 w1=00000000 l=0

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

IF /I "%DO%" == "alt2-disable" (

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Disabling the selected 'Alt2' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=2 w0=00000000 w1=00000000 l=0\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=2 w0=00000000 w1=00000000 l=0

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

IF /I "%DO%" == "alt3-disable" (

	REM /*--- Display what's being executed. ---*/
	SET Command=Lecho "\n%%t [ %0 ] - Disabling the selected 'Alt3' boot device settings.  Executing -> %TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=3 w0=00000000 w1=00000000 l=0\n" /F

	!Command!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% setaltboot n=%EMULEX_HBA_ADAPTERN% i=3 w0=00000000 w1=00000000 l=0

	REM /*--- Execute the command. ---*/
	!Command!

	REM /*--- Set return code. ---*/
	SET RC=!errorlevel!

	REM /*--- Set the command line to be executed. ---*/
	SET Command=%TK_WINLPCFG_UTILITY% readaltboot n=%EMULEX_HBA_ADAPTERN%

	!Command!
)

popd
